Bug 1460963 - "Last login time" time stamp doesn't update, when Satellite 6 is configured with gssproxy
Summary: "Last login time" time stamp doesn't update, when Satellite 6 is configured w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.2.9
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-13 09:15 UTC by Nagoor Shaik
Modified: 2019-08-12 14:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
first time stamp after login (46.77 KB, image/png)
2018-02-02 10:55 UTC, Kedar Bidarkar
no flags Details
Second timestamp after logout and login again (45.66 KB, image/png)
2018-02-02 10:55 UTC, Kedar Bidarkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 20589 Normal Closed "Last login time" time stamp doesn't update, when Satellite 6 is configured with gssproxy 2020-03-18 14:55:02 UTC

Description Nagoor Shaik 2017-06-13 09:15:53 UTC
Description of problem:
"Last login time" time stamp doesn't update, when Satellite 6 is configured with gssproxy

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.2.9

How reproducible:
100%

Steps to Reproduce:
1. Install Red Hat Satellite 6.2.9, and configure AD authentication using https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/server_administration_guide/sect-red_hat_satellite-server_administration_guide-configuring_external_authentication-using_active_directory#sect-Red_Hat_Satellite-Server_Administration_Guide-AD_direct
2. Try logging with AD user, which would create new User entry with the timestamp.
3. Log out and then try to login again after few minutes, however the timestamp doesn't get update, still shows the timestamp when the user is first created.

Actual results:
Timestamp for External users created via GSSProxy authentication doesn't get updated.

Expected results:
Timestamp should be updated.

Additional info:
Note: When LDAP Authentication is configured via WebUI using https://access.redhat.com/solutions/1498773, timestamp updates correctly.

Comment 2 Marek Hulan 2017-08-14 15:07:10 UTC
Created redmine issue http://projects.theforeman.org/issues/20589 from this bug

Comment 3 pm-sat@redhat.com 2017-09-07 10:07:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20589 has been resolved.

Comment 5 Kedar Bidarkar 2018-02-02 10:53:49 UTC
"Last login time" timestamp now does get updated, when Satellite6 is configured with gssproxy.


VERIFIED with Sat6.3.0-snap34.0

Comment 6 Kedar Bidarkar 2018-02-02 10:55:07 UTC
Created attachment 1390086 [details]
first time stamp after login

Comment 7 Kedar Bidarkar 2018-02-02 10:55:54 UTC
Created attachment 1390087 [details]
Second timestamp after logout and login again

Comment 8 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.